diff -EbwBru 6.0.0.M1/org/jboss/mx/notification/ListenerRegistry.java trunk/org/jboss/mx/notification/ListenerRegistry.java
--- 6.0.0.M1/org/jboss/mx/notification/ListenerRegistry.java	2009-11-30 14:31:23.000000000 -0600
+++ trunk/org/jboss/mx/notification/ListenerRegistry.java	2009-12-10 12:42:20.000000000 -0600
@@ -43,7 +43,7 @@
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  *
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  *
  * <p><b>Revisions:</b>
  *
@@ -61,7 +61,7 @@
    /**
     * A map of listeners to a list of NotificationRegistrations.
     */
-   private HashMap listeners = new HashMap();
+   private HashMap<NotificationListener, ArrayList<ListenerRegistration>> listeners = new HashMap<NotificationListener, ArrayList<ListenerRegistration>>();
 
    /**
     * The factory used to generate the listener registration.
@@ -106,6 +106,7 @@
     * @exception IllegalArgumentException for a null listener
     * @exception JMException for an error adding to the registry
     */
+   @SuppressWarnings("unchecked")
    public void add(NotificationListener listener, NotificationFilter filter, Object handback)
       throws JMException
    {
@@ -114,12 +115,12 @@
 
       synchronized(listeners)
       {
-         HashMap newListeners = (HashMap) listeners.clone();
+         HashMap<NotificationListener, ArrayList<ListenerRegistration>> newListeners = cloneListeners();
 
-         ArrayList registrations = (ArrayList) newListeners.get(listener);
+         ArrayList<ListenerRegistration> registrations = newListeners.get(listener);
          if (registrations == null)
          {
-            registrations = new ArrayList();
+            registrations = new ArrayList<ListenerRegistration>();
             newListeners.put(listener, registrations);
          }
          else
@@ -143,25 +144,22 @@
    public void remove(NotificationListener listener)
       throws ListenerNotFoundException
    {
-      ArrayList registrations = null;
+      ArrayList<ListenerRegistration> registrations = null;
       synchronized(listeners)
       {
          if (listeners.containsKey(listener) == false)
             throw new ListenerNotFoundException("Listener not found " + listener);
 
-         HashMap newListeners = (HashMap) listeners.clone();
+         HashMap<NotificationListener, ArrayList<ListenerRegistration>> newListeners = cloneListeners();
 
-         registrations = (ArrayList) newListeners.remove(listener);
+         registrations = newListeners.remove(listener);
 
          listeners = newListeners;
       }
 
-      for (Iterator iterator = registrations.iterator(); iterator.hasNext();)
-      {
-          ListenerRegistration registration = (ListenerRegistration) iterator.next();
+      for (ListenerRegistration registration : registrations)
           registration.removed();
       }
-   }
 
    /**
     * Removes only the registrations for a listener that match the filter and handback.
@@ -171,13 +169,14 @@
     * @param handback the handback object of the registration to remove
     * @exception ListenerNotFoundException when the listener is not registered
     */
+   @SuppressWarnings("unchecked")
    public void remove(NotificationListener listener, NotificationFilter filter, Object handback)
       throws ListenerNotFoundException
    {
       ListenerRegistration registration = null;
       synchronized(listeners)
       {
-         ArrayList registrations = (ArrayList) listeners.get(listener);
+         ArrayList<ListenerRegistration> registrations = listeners.get(listener);
          if (registrations == null)
             throw new ListenerNotFoundException("No registristrations for listener not listener=" + listener +
                                                 " filter=" + filter + " handback=" + handback);
@@ -188,10 +187,10 @@
             throw new ListenerNotFoundException("Listener not found listener=" + listener +
                                                 " filter=" + filter + " handback=" + handback);
 
-         HashMap newListeners = (HashMap) listeners.clone();
+         HashMap<NotificationListener, ArrayList<ListenerRegistration>> newListeners = cloneListeners();
 
          registrations = (ArrayList) registrations.clone();
-         registration = (ListenerRegistration) registrations.remove(index);
+         registration = registrations.remove(index);
          if (registrations.isEmpty())
             newListeners.remove(listener);
          else
@@ -237,13 +236,19 @@
       return listeners.isEmpty();
    }
 
+   @SuppressWarnings("unchecked")
+   private HashMap<NotificationListener, ArrayList<ListenerRegistration>> cloneListeners()
+   {
+      return (HashMap) listeners.clone();
+   }
+
    // Inner Classes -------------------------------------------------
 
    public class ListenerRegistrationIterator
-      implements Iterator
+      implements Iterator<ListenerRegistration>
    {
-      private Iterator listenerIterator;
-      private Iterator registrationIterator;
+      private Iterator<ArrayList<ListenerRegistration>> listenerIterator;
+      private Iterator<ListenerRegistration> registrationIterator;
 
       /**
        * Constructs a new ListenerRegistration iterator
@@ -262,14 +267,14 @@
                if (listenerIterator.hasNext() == false)
                   return false;
 
-               registrationIterator = ((ArrayList) listenerIterator.next()).iterator();
+               registrationIterator = listenerIterator.next().iterator();
             }
             while (registrationIterator.hasNext() == false);
          }
          return true;
       }
 
-      public Object next()
+      public ListenerRegistration next()
       {
          if (hasNext() == false)
             throw new NoSuchElementException("Use hasNext before next");
@@ -279,14 +284,16 @@
 
       /**
        * Convenience method to returned a typed object
+       * 
+       * @return the registration
        */
       public ListenerRegistration nextRegistration()
       {
-         return (ListenerRegistration) next();
+         return next();
       }
 
       /**
-       * @exception UnsupportedOpertionException remove is not supported
+       * @exception UnsupportedOperationException remove is not supported
        */
       public void remove()
       {
diff -EbwBru 6.0.0.M1/org/jboss/mx/notification/MBeanServerListenerRegistrationFactory.java trunk/org/jboss/mx/notification/MBeanServerListenerRegistrationFactory.java
--- 6.0.0.M1/org/jboss/mx/notification/MBeanServerListenerRegistrationFactory.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/notification/MBeanServerListenerRegistrationFactory.java	2009-12-10 12:42:44.000000000 -0600
@@ -34,7 +34,7 @@
  * @see org.jboss.mx.notification.ListenerRegistration
  * 
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
- * @version $Revision: 81022 $
+ * @version $Revision: 85671 $
  */
 public class MBeanServerListenerRegistrationFactory
    implements ListenerRegistrationFactory
@@ -53,7 +53,7 @@
     * Construct a listener registration factory for the given object name
     *
     * @param name the object name
-    * @param name the notification broadcaster
+    * @param broadcaster the notification broadcaster
     * @exception IllegalArgumentException for a null object name
     */
    public MBeanServerListenerRegistrationFactory(ObjectName name, NotificationBroadcaster broadcaster)
diff -EbwBru 6.0.0.M1/org/jboss/mx/notification/MBeanServerListenerRegistry.java trunk/org/jboss/mx/notification/MBeanServerListenerRegistry.java
--- 6.0.0.M1/org/jboss/mx/notification/MBeanServerListenerRegistry.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/notification/MBeanServerListenerRegistry.java	2009-12-10 12:42:44.000000000 -0600
@@ -37,7 +37,7 @@
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>
  *
- * @version $Revision: 81022 $
+ * @version $Revision: 85671 $
  *
  * <p><b>Revisions:</b>
  *
@@ -48,6 +48,7 @@
  * </ul>
  *
  */
+@SuppressWarnings("unchecked")
 public class MBeanServerListenerRegistry
 {
    // Attributes ----------------------------------------------------
diff -EbwBru 6.0.0.M1/org/jboss/mx/notification/NotificationFilterProxy.java trunk/org/jboss/mx/notification/NotificationFilterProxy.java
--- 6.0.0.M1/org/jboss/mx/notification/NotificationFilterProxy.java	2009-11-30 14:31:23.000000000 -0600
+++ trunk/org/jboss/mx/notification/NotificationFilterProxy.java	2009-12-10 12:42:20.000000000 -0600
@@ -32,7 +32,7 @@
  * real filter.
  *
  * @author <a href="mailto:jhaynie@vocalocity.net">Jeff Haynie</a>
- * @version $Revision: 81019 $
+ * @version $Revision: 85671 $
  */
 public class NotificationFilterProxy implements NotificationFilter
 {
@@ -63,7 +63,7 @@
     /**
      * return the real ObjectName source
      *
-     * @return
+     * @return the source
      */
     public ObjectName getSource ()
     {
@@ -72,7 +72,7 @@
     /**
      * return the real NotificationFilter
      *
-     * @return
+     * @return the filter
      */
     public NotificationFilter getFilter ()
     {
diff -EbwBru 6.0.0.M1/org/jboss/mx/notification/NotificationListenerProxy.java trunk/org/jboss/mx/notification/NotificationListenerProxy.java
--- 6.0.0.M1/org/jboss/mx/notification/NotificationListenerProxy.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/notification/NotificationListenerProxy.java	2009-12-10 12:42:44.000000000 -0600
@@ -37,8 +37,9 @@
  *
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
  * @author  <a href="mailto:telrod@e2technologies.net">Tom Elrod</a>.
- * @version $Revision: 81022 $
+ * @version $Revision: 85671 $
  */
+@SuppressWarnings("unchecked")
 public class NotificationListenerProxy
    implements InvocationHandler
 {
diff -EbwBru 6.0.0.M1/org/jboss/mx/persistence/DelegatingPersistenceManager.java trunk/org/jboss/mx/persistence/DelegatingPersistenceManager.java
--- 6.0.0.M1/org/jboss/mx/persistence/DelegatingPersistenceManager.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/persistence/DelegatingPersistenceManager.java	2009-12-10 12:42:25.000000000 -0600
@@ -47,7 +47,7 @@
  * MBean attributes.  
  *
  * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
- * @version $Revision: 81026 $
+ * @version $Revision: 86129 $
  */
 public class DelegatingPersistenceManager
    implements PersistenceManager
@@ -88,8 +88,9 @@
          init(invoker, metadata);
       }
 
-      if (log.isDebugEnabled())
-         log.debug("load() called for: '" + this.persistName + "'");
+      boolean trace = log.isTraceEnabled();
+      if (trace)
+         log.trace("load() called for: '" + this.persistName + "'");
       
       AttributeList attrs = null;
       
@@ -111,8 +112,8 @@
             // will triger a store() that should be ignored
             setIsLoading(true);
            
-            if (log.isDebugEnabled())
-               log.debug("loading attributes: " + attrs);
+            if (trace)
+               log.trace("loading attributes: " + attrs);
             invoker.setAttributes(attrs);
          }
          finally {
@@ -120,8 +121,8 @@
          }
       }
       else {
-         if (log.isDebugEnabled())
-            log.debug("No attributes to load");
+         if (trace)
+            log.trace("No attributes to load");
       }
    }
       
@@ -149,8 +150,9 @@
          return; // ignore call
       }
       else {
-         if (log.isDebugEnabled())
-            log.debug("store() called for: '" + this.persistName + "'");
+         boolean trace = log.isTraceEnabled();
+         if (trace)
+            log.trace("store() called for: '" + this.persistName + "'");
          
          // placehold for attributes to be persisted
          AttributeList attributes = new AttributeList();
@@ -158,8 +160,8 @@
          // iterate over all attributes in metadata
          MBeanAttributeInfo[] attrs = metadata.getAttributes();
          
-         if (log.isDebugEnabled() && attrs.length > 0)
-            log.debug("store() --- ModelMBeanAttributeInfo[] ---");
+         if (trace && attrs.length > 0)
+            log.trace("store() --- ModelMBeanAttributeInfo[] ---");
          
          for (int i = 0; i < attrs.length; i++)
          {
@@ -167,8 +169,8 @@
             // create a new Attribute object and add it to the collection.
             ModelMBeanAttributeInfo attributeInfo = (ModelMBeanAttributeInfo)attrs[i];
             
-            if (log.isDebugEnabled())
-               log.debug("  attr (#" + i + ") - " + attributeInfo);
+            if (trace)
+               log.trace("  attr (#" + i + ") - " + attributeInfo);
             
             if (attributeInfo.isWritable()) {
 	            Descriptor attrDesc = attributeInfo.getDescriptor();
@@ -195,18 +197,18 @@
          try {
             if (!attributes.isEmpty()) {
                
-               if (log.isDebugEnabled())
-                  log.debug("calling persistor.store(" + this.persistName + ") attrs=" + attributes);
+               if (trace)
+                  log.trace("calling persistor.store(" + this.persistName + ") attrs=" + attributes);
                
                persistor.store(this.persistName, attributes);
             }
             else {
-               if (log.isDebugEnabled())
-                  log.debug("nothing to persist");
+               if (trace)
+                  log.trace("nothing to persist");
             }
          }
          catch (Exception e) {
-            log.warn("cought exception during store()", e);
+            log.warn("caught exception during store()", e);
          }
       }
    }
@@ -218,15 +220,19 @@
     * 
     * Gets the external persistor to use and decides on the
     * persistName to use for this MBean load()/store() calls.
+    * @param invoker 
+    * @param metadata 
+    * @throws MBeanException 
     */
    protected void init(ModelMBeanInvoker invoker, MBeanInfo metadata)
          throws MBeanException
    {
       Descriptor desc = ((ModelMBeanInfo)metadata).getMBeanDescriptor();
       
-      if (log.isDebugEnabled()) {
-         log.debug("init() --- ModelMBeanInfo Descriptor --- ");
-         log.debug(desc);
+      boolean trace = log.isTraceEnabled();
+      if (trace) {
+         log.trace("init() --- ModelMBeanInfo Descriptor --- ");
+         log.trace(desc);
       }
       
       // Decide what to use as a persistent name (id) for this MBean
@@ -249,8 +255,8 @@
          }
       }
       
-      if (log.isDebugEnabled())
-         log.debug("chosen persistent id: '" + this.persistName + "'");
+      if (trace)
+         log.trace("chosen persistent id: '" + this.persistName + "'");
 
       // get the name of the MBean factory service that creates
       // the AttributePersistenceManager implementation
@@ -292,12 +298,14 @@
          throw new MBeanException(e);
       }
       
-      if (log.isDebugEnabled())
-         log.debug("using AttributePersistenceManager: " + this.persistor.getClass().getName());
+      if (trace)
+         log.trace("using AttributePersistenceManager: " + this.persistor.getClass().getName());
    }
    
    /**
     * Check if we are loading state
+    * 
+    * @return true if loading
     */
    protected boolean isLoading()
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/persistence/MbeanInfoDbPm.java trunk/org/jboss/mx/persistence/MbeanInfoDbPm.java
--- 6.0.0.M1/org/jboss/mx/persistence/MbeanInfoDbPm.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/persistence/MbeanInfoDbPm.java	2009-12-10 12:42:25.000000000 -0600
@@ -49,6 +49,7 @@
  * Class responsible for storing and loading the MBean info database.
  * @author Matt Munz
  */
+@SuppressWarnings("unchecked")
 public class MbeanInfoDbPm
    extends MBeanInfoOdb
    implements PersistenceManager
@@ -218,6 +219,8 @@
    /**
     * Iterates over the loaded MBean infos and ObjectNames, creates an MBean for each, and
     * registers it with the server.  This includes creating the resource object as well.
+    * @throws JMException 
+    * @throws InvalidTargetObjectTypeException 
     */
    protected void register() throws JMException, 
                                     InvalidTargetObjectTypeException
@@ -276,6 +279,10 @@
     * JDK 1.3.1 substitute for jdk 1.4.1 String.replaceAll()
     * Does not accept regular expressions...
     * returns the object string where all instances of target are replaced with replacement
+    * @param object 
+    * @param target 
+    * @param replacement 
+    * @return the string
     * @todo replace with a more appropriate string util if available
     */
    protected String replaceAll(String object, String target, String replacement)
@@ -285,6 +292,11 @@
    
    /**
     * Iterative
+    * @param object 
+    * @param target 
+    * @param replacement 
+    * @param curIndex 
+    * @return the string
     */
    protected String replaceAll(String object, String target, String replacement, int curIndex)
    {
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/AbstractMBeanInvoker.java trunk/org/jboss/mx/server/AbstractMBeanInvoker.java
--- 6.0.0.M1/org/jboss/mx/server/AbstractMBeanInvoker.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/AbstractMBeanInvoker.java	2009-12-10 12:42:25.000000000 -0600
@@ -72,15 +72,16 @@
  * @author <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author <a href="mailto:scott.stark@jboss.org">Scott Stark</a>.
  * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
+@SuppressWarnings("unchecked")
 public abstract class AbstractMBeanInvoker
    implements MBeanInvoker
 {
    /**
     * Used to propagate the MBeanEntry during the preRegister callback
     */
-   static ThreadLocal preRegisterInfo = new ThreadLocal();
+   static ThreadLocal<MBeanEntry> preRegisterInfo = new ThreadLocal<MBeanEntry>();
 
    // Attributes ----------------------------------------------------
 
@@ -135,11 +136,11 @@
 
    /**
     * An accessor for the MBeanEntry thread local
-    * @return
+    * @return the mbean Entry
     */
    public static MBeanEntry getMBeanEntry()
    {
-      return (MBeanEntry) preRegisterInfo.get();
+      return preRegisterInfo.get();
    }
    // Constructors --------------------------------------------------
 
@@ -152,6 +153,8 @@
 
    /**
     * Constructs a new invoker with a given target resource.
+    * 
+    * @param resource the resource
     */
    public AbstractMBeanInvoker(Object resource)
    {
@@ -607,7 +610,7 @@
     */
    public ObjectName preRegister(MBeanServer server, ObjectName name) throws Exception
    {
-      this.resourceEntry = (MBeanEntry) preRegisterInfo.get();
+      this.resourceEntry = preRegisterInfo.get();
       this.server = server;
 
       ObjectName mbeanName = null;
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/ExceptionHandler.java trunk/org/jboss/mx/server/ExceptionHandler.java
--- 6.0.0.M1/org/jboss/mx/server/ExceptionHandler.java	2009-11-30 14:31:24.000000000 -0600
+++ trunk/org/jboss/mx/server/ExceptionHandler.java	2009-12-10 12:42:26.000000000 -0600
@@ -21,7 +21,7 @@
  */
 package org.jboss.mx.server;
 
-// $Id: ExceptionHandler.java 81019 2008-11-14 12:40:42Z dimitris@jboss.org $
+// $Id: ExceptionHandler.java 86129 2009-03-19 20:48:17Z adrian@jboss.org $
 
 import javax.management.*;
 
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/Interceptable.java trunk/org/jboss/mx/server/Interceptable.java
--- 6.0.0.M1/org/jboss/mx/server/Interceptable.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/Interceptable.java	2009-12-10 12:42:25.000000000 -0600
@@ -27,13 +27,19 @@
  * Interface to allow the dynamic introduction of Interceptors
  * 
  * @author  <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  */
 public interface Interceptable
 {
-   /** Add dynamically an operation interceptor, first in the chain */
+   /** Add dynamically an operation interceptor, first in the chain
+    * 
+    *  @param interceptor the interceptor
+    */
    void addOperationInterceptor(Interceptor interceptor);
    
-   /** Remove the specified operation interceptor */
+   /** Remove the specified operation interceptor 
+    * 
+    *  @param interceptor the interceptor
+    */
    void removeOperationInterceptor(Interceptor interceptor);
 }
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/InvocationContext.java trunk/org/jboss/mx/server/InvocationContext.java
--- 6.0.0.M1/org/jboss/mx/server/InvocationContext.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/InvocationContext.java	2009-12-10 12:42:26.000000000 -0600
@@ -35,8 +35,9 @@
  * @author <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
  * @author <a href="mailto:d_jencks@users.sourceforge.net">David Jencks</a>
  * @author <a href="mailto:dimitris@jboss.org">Dimitris Andreadis</a>
- * @version $Revision: 89133 $
+ * @version $Revision: 89134 $
  */
+@SuppressWarnings("unchecked")
 public class InvocationContext
 {
 
@@ -51,9 +52,9 @@
    public final static String ATTRIBUTE_ACCESS   = "attribute.access";
 
    /* Marker for void */
-   private static final Class VOID = Void.class;
+   private static final Class<?> VOID = Void.class;
 
-   public static final Class[] NOCLASSES = new Class[0];
+   public static final Class<?>[] NOCLASSES = new Class[0];
    
    // Attributes ----------------------------------------------------
 
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/Invocation.java trunk/org/jboss/mx/server/Invocation.java
--- 6.0.0.M1/org/jboss/mx/server/Invocation.java	2009-11-30 14:39:19.000000000 -0600
+++ trunk/org/jboss/mx/server/Invocation.java	2009-12-10 12:42:26.000000000 -0600
@@ -29,7 +29,7 @@
 /**
  *
  * @author  <a href="mailto:juha@jboss.org">Juha Lindfors</a>.
- * @version $Revision: 81026 $
+ * @version $Revision: 85671 $
  *   
  */
 public class Invocation
@@ -111,17 +111,17 @@
       return buffer.toString();
    }
    
-   public Class getAttributeTypeClass() throws ClassNotFoundException
+   public Class<?> getAttributeTypeClass() throws ClassNotFoundException
    {
       return ctx.getAttributeTypeClass();
    }
 
-   public Class getReturnTypeClass() throws ClassNotFoundException
+   public Class<?> getReturnTypeClass() throws ClassNotFoundException
    {
       return ctx.getReturnTypeClass();
    }
 
-   public Class[] getSignatureClasses() throws ClassNotFoundException
+   public Class<?>[] getSignatureClasses() throws ClassNotFoundException
    {
       return ctx.getSignatureClasses();
    }
Only in trunk/org/jboss/mx/server: JBossMXMBeanServerDelegate.java
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/JBossMXServerConfig.java trunk/org/jboss/mx/server/JBossMXServerConfig.java
--- 6.0.0.M1/org/jboss/mx/server/JBossMXServerConfig.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/server/JBossMXServerConfig.java	2009-12-10 12:42:44.000000000 -0600
@@ -23,15 +23,13 @@
 
 import javax.management.ObjectName;
 
-import org.jboss.mx.standardmbean.StandardMBeanDelegateFactory;
-import org.jboss.mx.standardmbean.StandardMBeanFactoryImpl;
 import org.jboss.mx.util.ObjectNameFactory;
 
 /**
  * JBossMX Server configuration.
  * 
  * @author  <a href="mailto:adrian@jboss.com">Adrian Brock</a>.
- * @version $Revision: 81022 $
+ * @version $Revision: 86129 $
  */
 public class JBossMXServerConfig extends ServerConfig implements ServerConstants
 {
@@ -60,11 +58,6 @@
       return DEFAULT_MBEAN_SERVER_BUILDER_CLASS;
    }
 
-   public StandardMBeanDelegateFactory getStandardMBeanDelegateFactory()
-   {
-      return new StandardMBeanFactoryImpl();
-   }
-
    // Protected ---------------------------------------------------
    
    // Private -----------------------------------------------------
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/MBeanServerBuilderImpl.java trunk/org/jboss/mx/server/MBeanServerBuilderImpl.java
--- 6.0.0.M1/org/jboss/mx/server/MBeanServerBuilderImpl.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/server/MBeanServerBuilderImpl.java	2009-12-10 12:42:44.000000000 -0600
@@ -35,19 +35,11 @@
  * @see org.jboss.mx.server.MBeanServerImpl
  * 
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
- * @version $Revision: 81022 $
+ * @version $Revision: 86129 $
  */
 public class MBeanServerBuilderImpl
    extends MBeanServerBuilder
 {
-   // Constants ---------------------------------------------------
-
-   // Attributes --------------------------------------------------
-
-   // Static  -----------------------------------------------------
-
-   // Constructors ------------------------------------------------
-
    /**
     * Construct an MBeanServerBuilder
     */
@@ -76,20 +68,6 @@
     */
    public MBeanServerDelegate newMBeanServerDelegate()
    {
-      return new MBeanServerDelegate();
+      return new JBossMXMBeanServerDelegate();
    }
-
-   // Public ------------------------------------------------------
-
-   // X Implementation --------------------------------------------
-
-   // Y Overrides -------------------------------------------------
-
-   // Protected ---------------------------------------------------
-
-   // Package Private ---------------------------------------------
-
-   // Private -----------------------------------------------------
-
-   // Inner Classes -----------------------------------------------
 }
diff -EbwBru 6.0.0.M1/org/jboss/mx/server/MBeanServerImpl.java trunk/org/jboss/mx/server/MBeanServerImpl.java
--- 6.0.0.M1/org/jboss/mx/server/MBeanServerImpl.java	2009-11-30 14:38:47.000000000 -0600
+++ trunk/org/jboss/mx/server/MBeanServerImpl.java	2009-12-10 12:42:44.000000000 -0600
@@ -89,7 +89,6 @@
 import org.jboss.mx.server.registry.MBeanRegistry;
 import org.jboss.mx.service.ServiceConstants;
 import org.jboss.mx.util.JMXExceptionDecoder;
-import org.jboss.mx.util.PropertyAccess;
 import org.jboss.util.NestedRuntimeException;
 
 /**
@@ -127,8 +126,9 @@
  * @author  <a href="mailto:Adrian.Brock@HappeningTimes.com">Adrian Brock</a>.
  * @author  <a href="mailto:thomas.diesler@jboss.com">Thomas Diesler</a>.
  * @author Scott.Stark@jboss.org
- * @version $Revision: 81022 $
+ * @version $Revision: 86129 $
  */
+@SuppressWarnings("unchecked")
 public class MBeanServerImpl
    implements MBeanServer, ServerConstants, ServiceConstants, ModelMBeanConstants
 {
@@ -199,6 +199,8 @@
       this.classLoaderRepository = getClassLoaderRepository();
 
       // the second first thing to do is to create a registry instance
+      if (defaultDomain == null)
+         defaultDomain = DEFAULT_DOMAIN;
       this.registry = createRegistry(defaultDomain);
       
       // The first MBean to be registered should be the server delegate
@@ -1075,7 +1077,7 @@
     * 
     * @param name The ObjectName of the ClassLoader. May be null, in which case
     * the MBean server's own ClassLoader is returned.
-    * @return
+    * @return the classloader
     * @throws InstanceNotFoundException
     */ 
    public ClassLoader getClassLoader(ObjectName name)
@@ -1174,6 +1176,7 @@
     * @param cl the thread classloader, pass null to use the ClassLoaderRepository
     * @param params the parameters for the constructor
     * @param signature the signature of the constructor
+    * @return the object
     * @exception ReflectionException wraps a ClassCastException or
     *            any Exception trying to invoke the constructor
     * @exception MBeanException wraps any exception thrown by the constructor
@@ -1256,6 +1259,10 @@
 
    /**
     * Handles errors thrown during class instantiation
+    * @param t 
+    * @param className 
+    * @throws ReflectionException 
+    * @throws MBeanException 
     */
    protected void handleInstantiateExceptions(Throwable t, String className)
            throws ReflectionException, MBeanException
@@ -1327,10 +1334,14 @@
     * @param name the object name to register
     * @param loaderName the object name of a class loader also used as
     *        as the MBeans TCL
+    * @return the object instance
+    * @throws ReflectionException 
     * @exception InstanceAlreadyExistsException when already registered
     * @exception MBeanRegistrationException when
     *            preRegister(MBeanServer, ObjectName) throws an exception
+    * @throws MBeanException 
     * @exception NotCompliantMBeanException when the object is not an MBean
+    * @throws InstanceNotFoundException 
     */
    protected ObjectInstance registerMBean(Object mbean, ObjectName name, ObjectName loaderName)
            throws ReflectionException, InstanceAlreadyExistsException, MBeanRegistrationException, MBeanException, NotCompliantMBeanException, InstanceNotFoundException
@@ -1368,6 +1379,7 @@
     * @param object the mbean to register
     * @param name the object name to register
     * @param cl the thread classloader, pass null for the current one
+    * @return the object instance
     * @exception InstanceAlreadyExistsException when already registered
     * @exception MBeanRegistrationException when
     *            preRegister(MBeanServer, ObjectName) throws an exception
